<?php
/**
 * Title: Admin panel configuration 
 *
 * @author Taslim Mazumder Sohel
 * @deprecated 1.3 - 2008/04/23
 *
 */
 
//*******************************************************//
// Start session.										 //
//*******************************************************//
session_start();

//*******************************************************//
// PHP Configuration INI velu setup						 //
//*******************************************************//
//---> SMTP Setup if required 
//ini_set("SMTP","mail.efusion.co.jp");

//---> Display error message or not?
//ini_set("display_errors",0);

//---> Set maximum execution time limit
ini_set("max_execution_time",120);

//---> Set memory limit to lode process
ini_set("memory_limit","32M");



//*******************************************************//
// Get Project information from INI.					 //
//*******************************************************//
$ini = parse_ini_file("../../econtact.ini", true);



//*******************************************************//
// Is it demo or working version.						 //
//*******************************************************//
$_demo = $ini['main']['demo'];
$_version = $ini['main']['version'];

 
 
//*******************************************************//
// Include the Portable Database engin					 //
//*******************************************************//
include "../../DB/engine/txtdb.php";



//*******************************************************//
// Connect to Database									 //
//*******************************************************//
if (!file_exists(DB_DIR . "econtact")) {
	$db = new Database(ROOT_DATABASE);
	//---> Create Database if not exist
	$db->executeQuery("CREATE DATABASE econtact");
}



//*******************************************************//
// Connect to Database									 //
//*******************************************************//
if (!file_exists(DB_DIR . "econtact/admin.txt")) {
	$db = new Database("econtact");
	$db->executeQuery("CREATE TABLE admin (id inc,UID str, PWD str)");
	//$db->executeQuery("INSERT INTO admin(id, UID, PWD) VALUES ('1', '".$login_id."', '".$password."')");
	
}


//*******************************************************//
// Alter Database using patch							 //
//*******************************************************//
//$db = new Database("econtact");
//$db->executeQuery("ALTER TABLE admin ADD COLUMN (newcol str, newcol1 str, newcol2 str)");
//$db->executeQuery("ALTER TABLE admin DROP COLUMN newcol , newcol1 , newcol2");
	
	
	
//*******************************************************//
// Create table to store Inquiry Form setup data		 //
//*******************************************************//
if (!file_exists(DB_DIR . "econtact/inq_setup_tab.txt")) {
	$db = new Database("econtact");
	$db->executeQuery("CREATE TABLE inq_setup_tab (" .
			"inq_id inc, " .
			"form_id str, " .
			"title str, " .
			"form_language str, " .
			"user_agreement_flg inc, " .
			"agreement_txt str, " .	
			"user_thanks_flg inc, " .
			"thankyou_txt str, " .
			"name_valid_flg inc, " .
			"namek_flg inc, " .
			"namek_valid_flg inc, " .
			"company_flg inc, " .
			"company_valid_flg inc, " .
			"dpt_flg inc, " .
			"dpt_valid_flg inc, " .
			"position_flg inc, " .
			"position_valid_flg inc, " .
			"zip_flg inc, " .
			"zip_valid_flg inc, " .
			"area_flg inc, " .
			"area_valid_flg inc, " .
			"city_flg inc, " .
			"city_valid_flg inc, " .
			"town_flg inc, " .
			"town_valid_flg inc, " .
			"building_flg inc, " .
			"building_valid_flg inc, " .
			"mail_valid_flg inc, " .
			"phone_flg inc, " .
			"phone_valid_flg inc, " .
			"fax_flg inc, " .
			"fax_valid_flg inc, " .
			"inq_valid_flg inc, " .
			"admin_mail_flg inc, " .
			"admin_mail_add str, " .
			"admin_mail_sub str, " .
			"mail_user_data_flg inc, " .
			"user_mail_flg inc, " .
			"from_mail_add str, " .
			"mail_sub str, " .
			"mail_body str, " .
			"user_page_template str, " .
			"del_flg inc, " .
			"active_flg inc, " .
			"default_flg inc, " .
			"entry_date str)");	
}



//*******************************************************//
// Create table to store Inquiry data					 //
//*******************************************************//
if (!file_exists(DB_DIR . "econtact/inq_tab.txt")) {
	$db = new Database("econtact");
	$db->executeQuery("CREATE TABLE inq_tab (" .
			"id inc, " .
			"inq_id inc, " .
			"form_id str, " .
			"title str, " .
			"user_agreement_flg inc, " .	
			"name1 str, " .
			"name2 str, " .
			"namek1 str, " .
			"namek2 str, " .			
			"company str, " .			
			"dpt str, " .			
			"position str, " .			
			"zip str, " .			
			"area str, " .			
			"city str, " .			
			"town str, " .			
			"building str, " .			
			"mail str, " .
			"phone str, " .			
			"fax str, " .			
			"inquiry_txt str, " .
			"del_flg inc, " .
			"status_flg inc, " .
			"entry_date str)");	
}



//*******************************************************//
// Admin password										 // 
//*******************************************************//
$db = new Database("econtact");
$_rs = $db->executeQuery("SELECT * FROM admin");
if ($_rs->getRowCount()>0){
$_rs->next();
$_USR['admin'] = $_rs->getCurrentValuesAsHash();
}



//*******************************************************//
// Load Smarty.class.php								 //
//*******************************************************//
require('Smarty/Smarty_2_6_17/Smarty.class.php');
$smarty = new Smarty();

$smarty->template_dir = 'templates';
$smarty->compile_dir = 'templates_c';
$smarty->cache_dir = '../akash/Smarty/cache';
$smarty->config_dir = '../akash/Smarty/configs';



//*******************************************************//
// Send Project information to the template.	 		 //
//*******************************************************//
$_tmp_INI =$ini['main']!=""?$ini['main']:$ini;
foreach($ini['main'] as $key => $val){
	$smarty->assign($key, stripslashes(htmlspecialchars(mb_convert_encoding($val,"UTF-8","auto"))) );
}



//*******************************************************//
// Language data send to template						 // 
//*******************************************************//
function Language_data($lnG){
	$lnG = $lnG==''?'jp':$lnG;
	if (is_file("../../lang/".$lnG.".ini")){
		$lNg = parse_ini_file("../../lang/".$lnG.".ini", true);
	}else{
		echo "Language pak not installed.";
	}
	return $lNg;
	
}



//*******************************************************//
// Send posted data to template						     //
//*******************************************************//
foreach($_POST as $key => $val){
	$smarty->assign($key, stripslashes(htmlspecialchars($val)) );
}



//*******************************************************//
// Connect with Database.								 //
//*******************************************************//
$DB = new Database("econtact");



//*******************************************************//
// Get installed Language pack list						 //
//*******************************************************//
$smarty->assign("lng_list",Language());
function Language(){
	
	$_lnG_List = array();
	if ($handle = opendir('../../lang/')) {
	
	    while (false !== ($file = readdir($handle))) {
	        if ($file != "." && $file != "..") {
	            if (!(strpos($file,'.ini')=== FALSE)){
		            $_fName = explode('.',$file);
		            if($_fName[0]=='jp')$_lnG_List['jp'] = '日本語';
		            if($_fName[0]=='en')$_lnG_List['en'] = 'English';
	            }
	        }
	    }
	    closedir($handle);
	    
	}
	return $_lnG_List;
	
}

//*******************************************************//
// Load Validator.class.php								 //
//*******************************************************//
require('validator/validator.class.php');
$default_language  = array_key_exists("default_language",$ini['main'])?$ini['main']['default_language']:$ini['default_language']; 
$valid = new validator($_POST ,$default_language);

function is_secure(){	
	if(($_SESSION['user']==null) || ($_SESSION['user']=='')){
		header( "Location: ../home/Index.php" );
		exit;
	}
}



//*******************************************************//
// Link HTML Function
// $offset :: Page number
//*******************************************************//
function createHTML( $offset,  $url,  $total_num,  $display_num,  $page_num ){
		
		
		
		if (1 >$offset ) {
			$page_num = 1;
		}
		
		$total_page = ceil($total_num / $display_num);	
				
		$html_str="<p class=\"al-c up20-m\">";
		
		$core_page = ceil($offset / $page_num); 
		
		$end_page = ($page_num * $core_page);
		$start_page = ($end_page - $page_num) + 1;
		
		if ($offset > 1) {
			
			$html_str .= " <a href=\"" . $url . "&p=1\">&lt;&lt;</a> ";
			
			$prev_page =$offset - 1;
			
		} else {
			$html_str .= "&lt;&lt; ";
			
		}

		//--------------------------------		
		if ($page_num <$offset) {
			$prev_start_page = $start_page - 1;
			$html_str .= "<a href=\"". $url ."&p=". $prev_start_page ."\">前へ</a> ";
		}

		//--------------------------------	
		for ($page = $start_page; $page <= $end_page; $page++) {
			
			if ($page <= $total_page) {
				if ($offset != $page) {
					$html_str .= "<a href=\"". $url ."&p=". $page ."\">" . $page ."</a>  ";
				} else {
					$html_str .= "". $page ." ";
				}
			}
		}
		
		//--------------------------------	
		if ($end_page < $total_page) {
			$next_end_page = $end_page + 1;
			$html_str .= "<a href=\"" . $url ."&p=". $next_end_page ."\">次へ</a> ";
		}
	
		//--------------------------------		
		//if ($offset != $total_page) {
		if (($offset != $total_page) && ($total_page!=0)) {	
			
			$next_page =$offset + 1;

			
			$html_str .= "<a href=\"". $url ."&p=". $total_page ."\">&gt;&gt;</a>";
		} else {

			$html_str .= "&gt;&gt;";
		}
		
		$html_str .= "</p>\n";
		
		return $html_str;
		
	}


function lngScript($lNg){
	$_stR ="<script type='text/javascript'>\n" .

		"lngTxt = new Array('jp','en');\n" .
		
		"lngTxt['jp'] = new Array('". $lNg['jp']['name_label'] ."','". $lNg['jp']['name_kana_label'] ."','". $lNg['jp']['company_label'] ."','". $lNg['jp']['department_label'] ."','". $lNg['jp']['position_label'] ."','". $lNg['jp']['zip_label'] ."','". $lNg['jp']['area_label'] ."','". $lNg['jp']['city_label'] ."','". $lNg['jp']['town_label'] ."','". $lNg['jp']['building_label'] ."','". $lNg['jp']['mail_label'] ."','". $lNg['jp']['phone_label'] ."','". $lNg['jp']['fax_label'] ."','". $lNg['jp']['inquiry_label'] ."');\n" .
		
		"lngTxt['en'] = new Array('". $lNg['en']['name_label'] ."','". $lNg['en']['name_kana_label'] ."','". $lNg['en']['company_label'] ."','". $lNg['en']['department_label'] ."','". $lNg['en']['position_label'] ."','". $lNg['en']['zip_label'] ."','". $lNg['en']['area_label'] ."','". $lNg['en']['city_label'] ."','". $lNg['en']['town_label'] ."','". $lNg['en']['building_label'] ."','". $lNg['en']['mail_label'] ."','". $lNg['en']['phone_label'] ."','". $lNg['en']['fax_label'] ."','". $lNg['en']['inquiry_label'] ."');\n" .
		
		"function changetext() {\n" .
		
		"var indx = document.getElementById('form_language').selectedIndex;\n" .
		
		"var ind = document.getElementById('form_language').options[indx].value;\n" .
		
		"var rows = document.getElementById('frmBody').rows;\n" .
		
		"rows[1].getElementsByTagName('td')[1].innerHTML = lngTxt[ind][0];\n" .
		"rows[1].getElementsByTagName('td')[5].innerHTML = lngTxt[ind][1];\n" .
		
		"rows[2].getElementsByTagName('td')[1].innerHTML = lngTxt[ind][2];\n" .
		"rows[2].getElementsByTagName('td')[5].innerHTML = lngTxt[ind][3];\n" .
		
		"rows[3].getElementsByTagName('td')[1].innerHTML = lngTxt[ind][4]\n;" .
		"rows[3].getElementsByTagName('td')[5].innerHTML = lngTxt[ind][5]\n;" .
		
		"rows[4].getElementsByTagName('td')[1].innerHTML = lngTxt[ind][6]\n;" .
		"rows[4].getElementsByTagName('td')[5].innerHTML = lngTxt[ind][7]\n;" .
		
		"rows[5].getElementsByTagName('td')[1].innerHTML = lngTxt[ind][8]\n;" .
		"rows[5].getElementsByTagName('td')[5].innerHTML = lngTxt[ind][9]\n;" .
		
		"rows[6].getElementsByTagName('td')[1].innerHTML = lngTxt[ind][10]\n;" .
		"rows[6].getElementsByTagName('td')[5].innerHTML = lngTxt[ind][11]\n;" .
		
		"rows[7].getElementsByTagName('td')[1].innerHTML = lngTxt[ind][12];\n" .
		"rows[7].getElementsByTagName('td')[5].innerHTML = lngTxt[ind][13];\n" .
		
		
		"}\n" .
		
		"</script>\n";
		
		return $_stR;
}
?>
