<?php
/**
 * Title: Function for Inquiry Form
 *
 * @author Taslim Mazumder Sohel
 * @deprecated 1.3 - 2008/04/23
 *
 */
 
//*******************************************************//
// Start session.										 //
//*******************************************************//
session_start();

//*******************************************************//
// Get Project information from INI.					 //
//*******************************************************//
$ini = parse_ini_file("econtact.ini", true);


//*******************************************************//
// Is it demo or working version.						 //
//*******************************************************//
$_demo = $ini['main']['demo'];
$_version = $ini['main']['version'];
$_demo_msg = $ini['main']['demo_msg'];


//*******************************************************//
// Include the txtdb									 //
//*******************************************************//
include "DB/engine/txtdb.php";


//*******************************************************//
// Load Mail class										 //
//*******************************************************// 
require('admin/akash/sendmail.class.php');


//*******************************************************//
// Load Smarty.class.php								 //
//*******************************************************//
require('admin/akash/Smarty/Smarty_2_6_17/Smarty.class.php');
$smarty = new Smarty();

$smarty->template_dir = 'templates';
$smarty->compile_dir = 'templates/templates_c';
$smarty->cache_dir = '../akash/Smarty/cache';
$smarty->config_dir = '../akash/Smarty/configs';



//*******************************************************//
// Send Project information to the template.	 		 //
//*******************************************************//
foreach($ini['main'] as $key => $val){	
	$smarty->assign($key, stripslashes(htmlspecialchars(mb_convert_encoding($val,"UTF-8","auto"))) );	
}



//*******************************************************//
// Language data send to template						 // 
//*******************************************************//
function Language_data($lnG){
	$lnG = $lnG==''?'jp':$lnG;
	$lNg = parse_ini_file("lang/".$lnG.".ini", true);
	
	return $lNg;
	
}


//*******************************************************//
// Send posted data to template						     //
//*******************************************************//
foreach($_POST as $key => $val){
	$smarty->assign($key, stripslashes(htmlspecialchars($val)) );
}


//*******************************************************//
// Connect with Database.								 //
//*******************************************************//
$DB = new Database("econtact");


//*******************************************************//
// Form validation										 //
//*******************************************************//
function form_valid($RS, $POSTDAT,$lNg){
	
	if($POSTDAT['name1']=="" || $POSTDAT['name2']=="") $err['name'] =  $lNg['name_label'];
	
	if($RS['namek_valid_flg']==1){
		if($POSTDAT['namek1']=="" || $POSTDAT['namek2']=="") $err['namek'] = $lNg['name_kana_label'];
	}
	
	if($RS['company_valid_flg']==1 && $RS['company_flg']==1){if($POSTDAT['company']=="") $err['company'] = $lNg['company_label'];}
	
	if($RS['dpt_valid_flg']==1 && $RS['dpt_flg']==1){if($POSTDAT['dpt']=="") $err['dpt'] = $lNg['department_label'];}
	
	if($RS['position_valid_flg']==1 && $RS['position_flg']==1){if($POSTDAT['position']=="") $err['position'] = $lNg['position_label'];}
	
	if($RS['zip_valid_flg']==1 && $RS['zip_flg']==1){if($POSTDAT['zip']=="") $err['zip'] = $lNg['zip_label'];}
	
	if($RS['area_valid_flg']==1 && $RS['area_flg']==1){if($POSTDAT['area']=="" || $POSTDAT['area']=="以下から選択してください") $err['area'] = $lNg['area_label'];}
	
	if($RS['city_valid_flg']==1 && $RS['city_flg']==1){if($POSTDAT['city']=="") $err['city'] = $lNg['city_label'];}
	
	if($RS['town_valid_flg']==1 && $RS['town_flg']==1){if($POSTDAT['town']=="") $err['town'] = $lNg['town_label'];}
	
	if($RS['building_valid_flg']==1 && $RS['building_flg']==1){if($POSTDAT['building']=="") $err['building'] = $lNg['building_label'];}
	
	$_msg_email = email_validation($POSTDAT['mail']);
	if($_msg_email!=null) $err['mail'] = $lNg['mail_label'];
	
	if($RS['phone_valid_flg']==1 && $RS['phone_flg']==1){if($POSTDAT['phone']=="") $err['phone'] = $lNg['phone_label'];}
		
	if($RS['fax_valid_flg']==1 && $RS['fax_flg']==1){if($POSTDAT['fax']=="") $err['fax'] = $lNg['fax_label'];}
	
	if($RS['inq_valid_flg']==1){if($POSTDAT['inquiry_txt']=="") $err['inquiry_txt'] = $lNg['inquiry_label'];}

	
	return $err;
}


//*******************************************************//
// Send mail function									 //
//*******************************************************//
function send_mail($RS, $POSTDAT, $content){
	
		if($RS['admin_mail_flg']==1 && $RS['admin_mail_add']!=""){
			
			if($RS['mail_user_data_flg']==1){
			
				$_tmp_str = "";
				$_tmp_str .= "お名前　：　".$POSTDAT['name1']." ".$POSTDAT['name2']."\n";
				$_tmp_str .= ($POSTDAT['namek1']!="") ? "お名前 (フリガナ)　：　".$POSTDAT['namek1']." ".$POSTDAT['namek2']."\n" : "" ;
				$_tmp_str .= ($POSTDAT['company']!="") ? "会社名　：　".$POSTDAT['company']."\n" : "";
				$_tmp_str .= ($POSTDAT['dpt']!="") ? "部署名　：　".$POSTDAT['dpt']."\n" : "";
				$_tmp_str .= ($POSTDAT['position']!="") ? "役職名　：　".$POSTDAT['position']."\n" : "";
				$_tmp_str .= ($POSTDAT['zip']!="") ? "郵便番号　：　".$POSTDAT['zip']."\n" : "";
				$_tmp_str .= ($POSTDAT['area']!="") ? "都道府県　：　".$POSTDAT['area']."\n" : "";
				$_tmp_str .= ($POSTDAT['city']!="") ? "市区郡　：　".$POSTDAT['city']."\n" : "";
				$_tmp_str .= ($POSTDAT['town']!="") ? "町村番地　：　".$POSTDAT['town']."\n" : "";
				$_tmp_str .= ($POSTDAT['building']!="") ? "ビル名　：　".$POSTDAT['building']."\n" : "";
				$_tmp_str .= ($POSTDAT['mail']!="") ? "メールアドレス　：　".$POSTDAT['mail']."\n" : "";
				$_tmp_str .= ($POSTDAT['phone']!="") ? "電話番号　：　".$POSTDAT['phone']."\n" : "";
				$_tmp_str .= ($POSTDAT['fax']!="") ? "FAX番号　：　".$POSTDAT['fax']."\n" : "";
				
				$replace_of = array('<DATE>', '<TIME>','<USERDATA>', '<MSG>');
				$replace_by = array(date("Y-m-d"), date("G:i"), $_tmp_str, $POSTDAT['inquiry_txt']);
				
				$content = str_replace($replace_of, $replace_by, $content);
				
			}else{
				$content = date("Y-m-d"). "　　".date("G:i"). "\n\n新しい問い合せは".$POSTDAT['name1'].$POSTDAT['name2']."様からシステムに登録されました。";
			}
			
			$mail = new sendmail();
			$mail->set_subject($RS['admin_mail_sub']);
			$mail->set_body($content);
			$mail->set_sender_mail($POSTDAT['mail']);
			$mail->set_sender_name($RS['form_id']);
			$mail->send($RS['admin_mail_add']);
			
		}
		
		if($RS['user_mail_flg']==1 && $POSTDAT['mail']!=""){
			
			$content = $RS['mail_body'];
			$mail = new sendmail();
			$mail->set_subject($RS['mail_sub']);
			$mail->set_body($content);
			$mail->set_sender_mail($RS['from_mail_add']);
			$mail->set_sender_name($RS['form_id']);
			$mail->send($POSTDAT['mail']);
			
		}
		

}

$mail_body="<DATE>　　<TIME>　
──────────────────────────────
■お客様情報
──────────────────────────────
<USERDATA>
──────────────────────────────
■お問い合わせ内容
──────────────────────────────
<MSG>

";


//*******************************************************//
// Email validator.										 //
//*******************************************************//
function email_validation($str){    	
		
		if($str=="" || $str==null){
			return "メールアドレス";
		}
		
		if(!eregi("^([a-z0-9\\_\\.\\-]+)@([a-z0-9\\_\\.\\-]+)\\.([a-z]{2,4})$",$str)){			
			return "メールアドレス";
		}
	
	return null;    	
}
?>
